# DeepInfra Unofficial API Wrapper
## Made in python

This is just a simple made wrapper for deep infra.

You can create the deepinfra instance like this: 

```py
from Deepinfra.api import DeepInfra

deepinfra = Deepinfra() 
```

Optional parameters include
```api_key: Your deepinfra api key```

To initalize a model you can do the following:
```py
model = deepinfra.model("meta-llama", "Llama-3.3-70B-Instruct")
```
This creates the model class, allowing you to generate text or image from the selected model.

Using an text model to generate images or an image model to generate text will return a `NoModelsFoundError`

Same can be said if a model or author is invalid. Make sure to check the author and model are correct.

You can start generating by doing
`gen = model.generate_text("Hello")`

When `gen.content` is printed. This is outputted: 
`Hello! It's nice to meet you. Is there something I can help you with or would you like to chat? I'm here to assist you with any questions or topics you'd like to discuss.`

# Disclamer!

This is my first published package so expect mistakes or bad code when looking through the files. Everything is open source

This package is also not affliated nor endoursed by Deepinfra, this is only a fan project and has no connections to Deepinfra or Deep Infra Inc.

Copyright (c) 2024 LightningWeb
